Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231149 - fence_xvm should fall back to no hashing if fence_xvm.key is not present
Summary: fence_xvm should fall back to no hashing if fence_xvm.key is not present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 15:24 UTC by Lon Hohberger
Modified: 2009-04-16 20:22 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007:0138
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-16 15:58:42 UTC


Attachments (Terms of Use)
Fixes it. (deleted)
2007-03-06 15:24 UTC, Lon Hohberger
no flags Details | Diff

Description Lon Hohberger 2007-03-06 15:24:54 UTC
Description of problem:

fence_xvm currently fails to run if /etc/cluster/fence_xvm.key is not present
and auth="none" hash="none" is not present in /etc/cluster/cluster.conf.

The request is to have fence_xvm automatically assume no hashing /
authentication is required if not otherwise specified and fence_xvm.key does not
exist.

This makes configuration easier for users, and addition of fence_xvm.key can
always be done at a later date.

Comment 1 Lon Hohberger 2007-03-06 15:24:54 UTC
Created attachment 149341 [details]
Fixes it.

Comment 2 Lon Hohberger 2007-03-06 15:26:24 UTC
[lhh@asuka xvm]$ ./fence_xvm -H fdsahfjka
Could not read /etc/cluster/fence_xvm.key; trying without authentication

[lhh@asuka xvm]$ ./fence_xvm -H fdsahfjka -ddddd
Debugging threshold is now 5
-- args @ 0x7fffc4833d00 --
  args->addr = 225.0.0.12
  args->domain = fdsahfjka
  args->key_file = /etc/cluster/fence_xvm.key
  args->op = 2
  args->hash = 2
  args->auth = 2
  args->port = 1229
  args->family = 2
  args->timeout = 30
  args->retr_time = 20
  args->flags = 0
  args->debug = 5
-- end args --
Reading in key file /etc/cluster/fence_xvm.key into 0x7fffc4832cb0 (4096 len)
Could not read /etc/cluster/fence_xvm.key; trying without authentication
Ignoring fec0::2:20c:f1ff:fefe:4b2f: wrong family
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 127.0.0.1
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 10.0.0.2
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 10.12.32.30
Waiting for connection from XVM host daemon.



Comment 3 Kiersten (Kerri) Anderson 2007-03-06 15:41:04 UTC
Devel ACK


Note You need to log in before you can comment on or make changes to this bug.